How to fix Error repository is not updated and the previous index files are used

0 votes
828 views
asked Sep 4, 2014 in Linux by sada (11,910 points)

Error: repository is not updated and the previous index files are used

How to fix Error repository is not updated and the previous index files are used 


1 Answer

0 votes
answered Sep 4, 2014 by osky (127,480 points)

If it happens that it shows a message like this: "An error occurred during the signature verification. The repository is not updated and the old index files will be used "a problem has occurred with the package list and can not be accessed, in this case it is better to delete them and download everything again, for this run these commands.: 
 
 
sudo rm / var / lib / apt / lists / * 
 
sudo rm / var / lib / apt / lists / partial / * 
 
sudo apt-get update 
 
 
Usually you should be able to install any package or upgrade the system packages that require using the command 
 
 
sudo apt-get upgrade 
 
 
Error: something went wrong, run "sudo apt-get install f" 
 
 
Another common error with the package manager is telling you that there is a problem with the update manager or software center and the error message tells you that you run a command like this: 
 
 
sudo apt-get install f 
 
 
I recommend you do it as the problem of incomplete installation or an update resolves, once this is done you can run the following command again: 
 
 
sudo apt-get update 
 
sudo apt-get upgrade

Ask a Question
Welcome to WikiTechSolutions where you can ask questions and receive answers from other members of the community.

You can ask a question without registration.
...